Void Credit Card Transaction
Voids a credit card transaction. You can void a transaction that has not been settled yet. If the transaction is settled, you must call the Process Credit Card Refund API.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details for void transaction
- Type: stringpar
Pay Transaction Id min length:1requiredA unique identifier for the transaction being cancelled.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/creditcard/v1/void \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7106984Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.71"
}'
{
"transactionAmount": "1000.00",
"cardNumber": "XXXX-XXXX-XXXX-1111",
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "Succeeded!",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7107605Z",
"status": "Success"
}